/* $Id: cmae_port.h,v 1.1 2005/08/17 01:35:02 chip Exp $ */

#ifndef _CLOUDMARK_AUTHORITY_ENGINE_PORTABILITY_H_
#define _CLOUDMARK_AUTHORITY_ENGINE_PORTABILITY_H_

/*
 * CMAE portability infrastructure.
 */

/*
 * CMAE_EXPORT is a macro to be used before the declarations of public
 * symbols that should be exported from a shared library.
 *
 * Note that in some cases a caller may set this macro on his own for
 * specialized purposes before this header is included, or this header
 * may be included multiple times.  Thus the definition is guarded
 * with an #ifndef.
 */

#ifndef CMAE_EXPORT

# ifdef _WIN32
#  ifdef CMAE_BUILD_TIME
#   define CMAE_EXPORT __declspec(dllexport)
#  else /* CMAE_BUILD_TIME */
#   define CMAE_EXPORT __declspec(dllimport)
#  endif
# else /* _WIN32 */
#  define CMAE_EXPORT
# endif

#endif /* !CMAE_EXPORT */

#endif /* _H_ */
